#----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}

%global		__python	/usr/bin/python3
%global		pyt3ver		%(%{__python} --version | cut -d ' ' -f2 |cut -d '.' -f1-2)
%global		pyt3num		%(echo %{pyt3ver} | tr -d '.')

%global		idmap_modules	idmap_ad,idmap_rid,idmap_ldap,idmap_hash,idmap_tdb2
%global		pdb_modules	pdb_tdbsam,pdb_ldap,pdb_smbpasswd,pdb_wbc_sam,pdb_samba4
%global		auth_modules	auth_wbc,auth_unix,auth_server,auth_samba4
%global		vfs_modules	vfs_dfs_samba4

%global 	shared		%{idmap_modules},%{pdb_modules},%{auth_modules},%{vfs_modules}
%global		bundled		!tdb,!talloc,!pytalloc-util,!tevent,!popt,!ldb,!pyldb-util
#-----------------------------------------------------------------------------
Name		:	samba
Version		:	4.19.3
Release		:	14.8.0.0%{?dist}
Summary		:	Server and Client software to interoperate with Windows machines

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+ and LGPLv3+
URL		:	https://www.samba.org/ftp/samba/stable/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	acl
BuildRequires	:	cups-devel
BuildRequires	:	cmocka-devel
BuildRequires	:	dbus-devel
BuildRequires	:	docbook-xsl
BuildRequires	:	gdb
BuildRequires	:	gnutls
Buildrequires	:	libdb-devel
BuildRequires	:	jansson
BuildRequires	:	krb5-devel
BuildRequires	:	ldb-devel	>= 2.7.2
BuildRequires	:	libaio
BuildRequires	:	libbsd
BuildRequires	:	libcap-devel
BuildRequires	:	libevent
BuildRequires	:	libtirpc
BuildRequires	:	lmdb-devel
BuildRequires	:	openldap-devel
BuildRequires	:	perl-Parse-Yapp
BuildRequires	:	perl-JSON
BuildRequires	:	pkg-config
BuildRequires	:	popt
BuildRequires	:	python3
BuildRequires	:	python3-pyasn1
BuildRequires	:	python3-iso8601
BuildRequires	:	readline
BuildRequires	:	rpcsvc-proto
BuildRequires	:	tdb-devel		>= 1.4.9
BuildRequires	:	talloc-devel		>= 2.4.1
BuildRequires	:	tevent-devel		>= 0.16.0

#-----------------------------------------------------------------------------
%description
Samba is the standard Windows interoperability suite of programs for Linux and
Unix.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/smb.conf
%config(noreplace) %{_sysconfdir}/ctdb/ctdb.conf
%config(noreplace) %{_sysconfdir}/ctdb/notify.sh
%config(noreplace) %{_sysconfdir}/ctdb/debug-hung-script.sh
%config(noreplace) %{_sysconfdir}/ctdb/ctdb-crash-cleanup.sh
%config(noreplace) %{_sysconfdir}/ctdb/debug_locks.sh

%attr (0754,root,root) %{_sysconfdir}/rc.d/init.d/%{name}

%{_sysconfdir}/ctdb/functions
%{_sysconfdir}/ctdb/nfs-linux-kernel-callout
%{_sysconfdir}/ctdb/statd-callout
%{_sysconfdir}/ctdb/events/notification/README
%{_sysconfdir}/ctdb/nfs-checks.d/README
%config %{_sysconfdir}/sudoers.d/ctdb

%dir %{_sysconfdir}/logrotate.d/
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}.lr

%config(noreplace) %{_sysconfdir}/ctdb/nfs-checks.d/00.portmapper.check
%config(noreplace) %{_sysconfdir}/ctdb/nfs-checks.d/10.status.check
%config(noreplace) %{_sysconfdir}/ctdb/nfs-checks.d/20.nfs.check
%config(noreplace) %{_sysconfdir}/ctdb/nfs-checks.d/30.nlockmgr.check
%config(noreplace) %{_sysconfdir}/ctdb/nfs-checks.d/40.mountd.check
%config(noreplace) %{_sysconfdir}/ctdb/nfs-checks.d/50.rquotad.check

%{_bindir}/smbstatus
%{_bindir}/ctdb
%{_bindir}/%{name}-tool
%{_bindir}/%{name}-log-parser
%{_bindir}/ping_pong
%{_bindir}/ltdbtool
%{_bindir}/ctdb_diagnostics
%{_bindir}/onnode
%{_bindir}/pdbedit
%{_bindir}/profiles
%{_bindir}/smbcontrol
%{_bindir}/smbpasswd
%{_bindir}/testparm

%{_sbindir}/eventlogadm
%{_sbindir}/nmbd
%{_sbindir}/smbd
%{_sbindir}/ctdbd
#{_sbindir}/ctdbd_wrapper
%{_sbindir}/%{name}-gpupdate
%{_sbindir}/winbindd

%{_libdir}/*.so.*
%{_libdir}/lib%{name}-policy.cpython*.so
#{_libdir}/libnss_winbind.so
#{_libdir}/libnss_wins.so
%{_libdir}/%{name}/lib*.so
%{_libdir}/%{name}/auth/*.so
%{_libdir}/%{name}/idmap/*.so
%{_libdir}/%{name}/krb5/*.so
%{_libdir}/%{name}/ldb/*.so
%{_libdir}/%{name}/pdb/*.so
%{_libdir}/%{name}/vfs/*.so
%attr(700,root,root) %dir %{_var}/lib/%{name}/private
%dir %{_var}/log/%{name}
%dir %{_var}/log/%{name}/old

%{_libdir}/%{name}/nss_info/*.so

%{_libexecdir}/ctdb/*
%{_libexecdir}/%{name}/%{name}-bgqd
%{_libexecdir}/%{name}/%{name}-dcerpcd
%{_libexecdir}/%{name}/rpcd_classic
%{_libexecdir}/%{name}/rpcd_epmapper
%{_libexecdir}/%{name}/rpcd_fsrvp
%{_libexecdir}/%{name}/rpcd_lsad
%{_libexecdir}/%{name}/rpcd_mdssvc
%{_libexecdir}/%{name}/rpcd_spoolss
%{_libexecdir}/%{name}/rpcd_winreg

%{python3_sitearch}/%{name}/*.so
%{python3_sitearch}/%{name}/dcerpc/*.so
%{python3_sitearch}/%{name}/*.py
%{python3_sitearch}/%{name}/__pycache__/*.pyc
%{python3_sitearch}/%{name}/dcerpc/*.py
%{python3_sitearch}/%{name}/dcerpc/__pycache__/*.pyc
%{python3_sitearch}/%{name}/emulate/*.py
%{python3_sitearch}/%{name}/emulate/__pycache__/*.pyc
%{python3_sitearch}/%{name}/gp/*.py
%{python3_sitearch}/%{name}/gp/__pycache__/*.pyc
%{python3_sitearch}/%{name}/gp/util/*.py
%{python3_sitearch}/%{name}/gp/util/__pycache__/*.pyc
%{python3_sitearch}/%{name}/gp_parse/*.py
%{python3_sitearch}/%{name}/gp_parse/__pycache__/*.pyc
%{python3_sitearch}/%{name}/kcc/*.py
%{python3_sitearch}/%{name}/kcc/__pycache__/*.pyc
%{python3_sitearch}/%{name}/netcmd/*.py
%{python3_sitearch}/%{name}/netcmd/__pycache__/*.pyc
%{python3_sitearch}/%{name}/netcmd/domain/*.py
%{python3_sitearch}/%{name}/netcmd/domain/__pycache__/*.pyc
%{python3_sitearch}/%{name}/netcmd/domain/auth/*.py
%{python3_sitearch}/%{name}/netcmd/domain/auth/__pycache__/*.pyc
%{python3_sitearch}/%{name}/netcmd/domain/claim/*.py
%{python3_sitearch}/%{name}/netcmd/domain/claim/__pycache__/*.pyc
%{python3_sitearch}/%{name}/netcmd/domain/models/*.py
%{python3_sitearch}/%{name}/netcmd/domain/models/__pycache__/*.pyc
%{python3_sitearch}/%{name}/provision/*.py
%{python3_sitearch}/%{name}/provision/__pycache__/*.pyc
%{python3_sitearch}/%{name}/samba3/*.so
%{python3_sitearch}/%{name}/samba3/*.py
%{python3_sitearch}/%{name}/samba3/__pycache__/*.pyc
%{python3_sitearch}/%{name}/subunit/*.py
%{python3_sitearch}/%{name}/subunit/__pycache__/*.pyc

%{_datadir}/ctdb/events/legacy/*.script
%{_datadir}/%{name}/mdssvc/elasticsearch_mappings.json

%{_mandir}/man1/ctdbd.1.gz
%{_mandir}/man1/smbstatus.1.gz
%{_mandir}/man1/ctdb.1.gz
%{_mandir}/man1/ctdb_diagnostics.1.gz
%{_mandir}/man1/onnode.1.gz
%{_mandir}/man1/ltdbtool.1.gz
%{_mandir}/man1/ping_pong.1.gz
%{_mandir}/man1/profiles.1.gz
%{_mandir}/man1/smbcontrol.1.gz
%{_mandir}/man1/%{name}-log-parser.1.gz

%{_mandir}/man5/ctdb.conf.5.gz
%{_mandir}/man5/ctdb-script.options.5.gz
%{_mandir}/man5/ctdb.sysconfig.5.gz
%{_mandir}/man5/lmhosts.5.gz
%{_mandir}/man5/smb.conf.5.gz
%{_mandir}/man5/smbpasswd.5.gz

%{_mandir}/man7/ctdb-statistics.7.gz
%{_mandir}/man7/ctdb-tunables.7.gz
%{_mandir}/man7/ctdb.7.gz
%{_mandir}/man7/libsmbclient.7.gz
%{_mandir}/man7/samba.7.gz
%{_mandir}/man7/traffic_learner.7.gz
%{_mandir}/man7/traffic_replay.7.gz

%{_mandir}/man8/idmap_*.8.gz

%{_mandir}/man8/eventlogadm.8.gz
%{_mandir}/man8/pdbedit.8.gz
%{_mandir}/man8/smbd.8.gz
%{_mandir}/man8/nmbd.8.gz
%{_mandir}/man8/samba.8.gz
%{_mandir}/man8/samba_downgrade_db.8.gz
%{_mandir}/man8/samba-dcerpcd.8.gz
%{_mandir}/man8/samba-gpupdate.8.gz
%{_mandir}/man8/samba-tool.8.gz
%{_mandir}/man8/samba-bgqd.8.gz

%{_mandir}/man8/vfs_acl_tdb.8.gz
%{_mandir}/man8/vfs_acl_xattr.8.gz
%{_mandir}/man8/vfs_aio_fork.8.gz
%{_mandir}/man8/vfs_aio_pthread.8.gz
%{_mandir}/man8/vfs_audit.8.gz
%{_mandir}/man8/vfs_btrfs.8.gz
%{_mandir}/man8/vfs_cap.8.gz
%{_mandir}/man8/vfs_catia.8.gz
%{_mandir}/man8/vfs_commit.8.gz
%{_mandir}/man8/vfs_crossrename.8.gz
%{_mandir}/man8/vfs_default_quota.8.gz
%{_mandir}/man8/vfs_expand_msdfs.8.gz

%{_mandir}/man8/vfs_dirsort.8.gz
%{_mandir}/man8/vfs_extd_audit.8.gz
%{_mandir}/man8/vfs_fake_perms.8.gz
%{_mandir}/man8/vfs_fileid.8.gz
%{_mandir}/man8/vfs_fruit.8.gz
%{_mandir}/man8/vfs_full_audit.8.gz
%{_mandir}/man8/vfs_glusterfs_fuse.8.gz
%{_mandir}/man8/vfs_gpfs.8.gz
%{_mandir}/man8/vfs_linux_xfs_sgid.8.gz
%{_mandir}/man8/vfs_media_harmony.8.gz
%{_mandir}/man8/vfs_offline.8.gz
%{_mandir}/man8/vfs_preopen.8.gz
%{_mandir}/man8/vfs_readahead.8.gz
%{_mandir}/man8/vfs_readonly.8.gz
%{_mandir}/man8/vfs_recycle.8.gz
%{_mandir}/man8/vfs_shadow_copy.8.gz
%{_mandir}/man8/vfs_shadow_copy2.8.gz
%{_mandir}/man8/vfs_shell_snap.8.gz
%{_mandir}/man8/vfs_snapper.8.gz
%{_mandir}/man8/vfs_streams_depot.8.gz
%{_mandir}/man8/vfs_streams_xattr.8.gz
%{_mandir}/man8/vfs_syncops.8.gz
%{_mandir}/man8/vfs_time_audit.8.gz
%{_mandir}/man8/vfs_unityed_media.8.gz
%{_mandir}/man8/vfs_virusfilter.8.gz
%{_mandir}/man8/vfs_widelinks.8.gz
%{_mandir}/man8/vfs_worm.8.gz
%{_mandir}/man8/vfs_xattr_tdb.8.gz
%{_mandir}/man8/winbindd.8.gz
%{_mandir}/man8/smbpasswd.8.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name} stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del %{name}
  fi

%post
/sbin/chkconfig --add %{name}
%{_sysconfdir}/rc.d/init.d/%{name} condrestart > /dev/null 2>&1 || :

#=============================================================================
%package		client
Summary		:	Samba client programs

	
#-----------------------------------------------------------------------------
%description		client
The %{name}-client package provides some SMB/CIFS clients to complement
the built-in SMB/CIFS filesystem in Linux. These clients allow access
of SMB/CIFS shares and printing to SMB/CIFS printers.
 
#-----------------------------------------------------------------------------
%files			client
%defattr(-,root,root,-)
%{_bindir}/cifsdd
%{_bindir}/dbwrap_tool
%{_bindir}/dumpmscat
%{_bindir}/ntlm_auth
%{_bindir}/mvxattr
%{_bindir}/mdsearch
%{_bindir}/net
%{_bindir}/nmblookup
%{_bindir}/oLschema2ldif
%{_bindir}/rpcclient
%{_bindir}/samba-regedit
%{_bindir}/sharesec
%{_bindir}/smbcacls
%{_bindir}/smbclient
%{_bindir}/smbcquotas
%{_bindir}/smbget
%{_bindir}/smbtree
%{_bindir}/smbspool
%{_bindir}/smbtar
%{_bindir}/regdiff
%{_bindir}/regpatch
%{_bindir}/regshell
%{_bindir}/regtree

%{_mandir}/man1/dbwrap_tool.1.gz
#{_mandir}/man1/findsmb.1.gz
%{_mandir}/man1/mdsearch.1.gz
%{_mandir}/man1/regdiff.1.gz
%{_mandir}/man1/regpatch.1.gz
%{_mandir}/man1/regshell.1.gz
%{_mandir}/man1/regtree.1.gz
%{_mandir}/man1/sharesec.1.gz
%{_mandir}/man1/log2pcap.1.gz
%{_mandir}/man1/mvxattr.1.gz
%{_mandir}/man1/nmblookup.1.gz
%{_mandir}/man1/ntlm_auth.1.gz
%{_mandir}/man1/oLschema2ldif.1.gz
%{_mandir}/man1/rpcclient.1.gz
%{_mandir}/man1/smbclient.1.gz
%{_mandir}/man1/smbtree.1.gz
%{_mandir}/man1/smbcacls.1.gz
%{_mandir}/man1/smbcquotas.1.gz
%{_mandir}/man1/smbget.1.gz
%{_mandir}/man1/smbtar.1.gz
%{_mandir}/man8/net.8.gz
%{_mandir}/man8/samba-regedit.8.gz
%{_mandir}/man8/smbspool.8.gz
%{_mandir}/man8/cifsdd.8.gz


#=============================================================================
%package		devel
Summary		:	Developer tools for Samba libraries

Requires	:	%{name}		= %{version}-%{release}
Requires	:	%{name}-client	= %{version}-%{release}
	
#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains the header files for the libraries
needed to develop programs that link against the SMB, RPC and other
libraries in the Samba suite.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-4.0/*.h
%{_includedir}/%{name}-4.0/core/*.h
%{_includedir}/%{name}-4.0/gen_ndr/*.h
%{_includedir}/%{name}-4.0/ndr/*.h
%{_includedir}/%{name}-4.0/util/*.h
%{_includedir}/%{name}-4.0/%{name}/*.h


%{_libdir}/libdcerpc-binding.so
%{_libdir}/libdcerpc-samr.so
%{_libdir}/libdcerpc-server-core.so
%{_libdir}/libdcerpc.so
%{_libdir}/libndr-krb5pac.so
%{_libdir}/libndr-nbt.so
%{_libdir}/libndr-standard.so
%{_libdir}/libndr.so
%{_libdir}/libnetapi.so
%{_libdir}/libsamba-credentials.so
%{_libdir}/libsamba-errors.so
%{_libdir}/libsamba-hostconfig.so
%{_libdir}/libsamba-util.so
%{_libdir}/libsamdb.so
%{_libdir}/libsamba-passdb.so
%{_libdir}/libsmbldap.so
%{_libdir}/libsmbconf.so
%{_libdir}/libtevent-util.so
%{_libdir}/libsmbclient.so
%{_libdir}/libwbclient.so
%{_libdir}/pkgconfig/dcerpc.pc
%{_libdir}/pkgconfig/dcerpc_samr.pc
%{_libdir}/pkgconfig/ndr.pc
%{_libdir}/pkgconfig/ndr_krb5pac.pc
%{_libdir}/pkgconfig/ndr_nbt.pc
%{_libdir}/pkgconfig/ndr_standard.pc
%{_libdir}/pkgconfig/netapi.pc
%{_libdir}/pkgconfig/smbclient.pc
%{_libdir}/pkgconfig/wbclient.pc
%{_libdir}/pkgconfig/%{name}-credentials.pc
%{_libdir}/pkgconfig/%{name}-hostconfig.pc
%{_libdir}/pkgconfig/%{name}-util.pc
%{_libdir}/pkgconfig/%{name}-policy.cpython-%{pyt3num}-x86_64-linux-gnu.pc
%{_libdir}/pkgconfig/samdb.pc
%attr(0700,root,root) %{_libexecdir}/%{name}/smbspool_krb5_wrapper

%{_mandir}/man8/smbspool_krb5_wrapper.8.gz
%{_mandir}/man8/winbind_krb5_locator.8.gz

#=============================================================================
%package		test
Summary		:	Testing tools for Samba servers and clients

Requires	:	%{name}		= %{version}-%{release}
Requires	:	%{name}-client	= %{version}-%{release}
	
#-----------------------------------------------------------------------------
%description		test
%{name}-test provides testing tools for both the server and client
packages of Samba. 

#-----------------------------------------------------------------------------
%files			test
%defattr(-,root,root,-)
#{_bindir}/ctdb_run_cluster_tests
#{_bindir}/ctdb_run_tests
%{_bindir}/gentest
%{_bindir}/locktest
%{_bindir}/masktest
%{_bindir}/ndrdump
%{_bindir}/smbtorture
%{_bindir}/wbinfo

#{_libexecdir}/ctdb/tests/*
#{_datadir}/ctdb/tests/etc-ctdb/events/legacy/00.test.script
#{_datadir}/ctdb/tests/scripts/test_wrap
#{_datadir}/ctdb/tests/CLUSTER/complex/README
#{_datadir}/ctdb/tests/CLUSTER/complex/*.sh
#{_datadir}/ctdb/tests/CLUSTER/complex/scripts/local.bash
#{_datadir}/ctdb/tests/INTEGRATION/database/*.sh
#{_datadir}/ctdb/tests/INTEGRATION/database/scripts/local.bash
#{_datadir}/ctdb/tests/INTEGRATION/failover/*.sh
#{_datadir}/ctdb/tests/INTEGRATION/simple/README
#{_datadir}/ctdb/tests/INTEGRATION/simple/*.sh
#{_datadir}/ctdb/tests/UNIT/cunit/*.sh
#{_datadir}/ctdb/tests/UNIT/eventd/README
#{_datadir}/ctdb/tests/UNIT/eventd/etc-ctdb/*.sh
#{_datadir}/ctdb/tests/UNIT/eventd/etc-ctdb/ctdb.conf
#{_datadir}/ctdb/tests/UNIT/eventd/etc-ctdb/events/*
#{_datadir}/ctdb/tests/UNIT/eventd/etc-ctdb/share/events/*
#{_datadir}/ctdb/tests/UNIT/eventd/*.sh
#{_datadir}/ctdb/tests/UNIT/eventd/scripts/local.sh
#{_datadir}/ctdb/tests/UNIT/eventscripts/README
#{_datadir}/ctdb/tests/UNIT/eventscripts/*.sh
#{_datadir}/ctdb/tests/UNIT/eventscripts/etc-ctdb/*
#{_datadir}/ctdb/tests/UNIT/eventscripts/etc/init.d/*
#{_datadir}/ctdb/tests/UNIT/eventscripts/etc/sysconfig/*
#{_datadir}/ctdb/tests/UNIT/eventscripts/scripts/*
#{_datadir}/ctdb/tests/UNIT/eventscripts/stubs/*
#{_datadir}/ctdb/tests/UNIT/onnode/*.sh
#{_datadir}/ctdb/tests/UNIT/onnode/etc-ctdb/nodes
#{_datadir}/ctdb/tests/UNIT/onnode/scripts/local.sh
#{_datadir}/ctdb/tests/UNIT/onnode/stubs/*
#{_datadir}/ctdb/tests/UNIT/shellcheck/*.sh
#{_datadir}/ctdb/tests/UNIT/shellcheck/scripts/*.sh
#{_datadir}/ctdb/tests/UNIT/takeover/README
#{_datadir}/ctdb/tests/UNIT/takeover/*.sh
#{_datadir}/ctdb/tests/UNIT/takeover/scripts/local.sh
#{_datadir}/ctdb/tests/UNIT/takeover_helper/*.sh
#{_datadir}/ctdb/tests/UNIT/takeover_helper/scripts/local.sh
#{_datadir}/ctdb/tests/UNIT/tool/README
#{_datadir}/ctdb/tests/UNIT/tool/*.sh
#{_datadir}/ctdb/tests/UNIT/tool/scripts/*.sh
#{_datadir}/ctdb/tests/scripts/*.bash
#{_datadir}/ctdb/tests/scripts/*.sh
%{_mandir}/man1/gentest.1.gz
%{_mandir}/man1/locktest.1.gz
%{_mandir}/man1/masktest.1.gz
%{_mandir}/man1/ndrdump.1.gz
%{_mandir}/man1/smbtorture.1.gz
%{_mandir}/man1/testparm.1.gz
#{_mandir}/man1/vfstest.1.gz
%{_mandir}/man1/wbinfo.1.gz

#=============================================================================
%package -n		python3-%{name}
Summary		:	Samba Python3 libraries

Requires	:	%{name}		= %{version}-%{release}
Requires	:	%{name}-client	= %{version}-%{release}
	
#-----------------------------------------------------------------------------
%description -n		python3-%{name}
The python3-%{name} package contains the Python 3 libraries
needed by programs that use SMB, RPC and other Samba provided
protocols in Python 3 programs.

#-----------------------------------------------------------------------------
%files -n		python3-%{name}
%defattr(-,root,root,-)
%{python3_sitearch}/%{name}/tests/*.py
%{python3_sitearch}/%{name}/tests/__pycache__/*.pyc
%{python3_sitearch}/%{name}/tests/blackbox/*.py
%{python3_sitearch}/%{name}/tests/blackbox/__pycache__/*.pyc
%{python3_sitearch}/%{name}/tests/dcerpc/*.py
%{python3_sitearch}/%{name}/tests/dcerpc/__pycache__/*.pyc
%{python3_sitearch}/%{name}/tests/dns_forwarder_helpers/*.py
%{python3_sitearch}/%{name}/tests/dns_forwarder_helpers/__pycache__/*.pyc
%{python3_sitearch}/%{name}/tests/emulate/*.py
%{python3_sitearch}/%{name}/tests/emulate/__pycache__/*.pyc
%{python3_sitearch}/%{name}/tests/kcc/*.py
%{python3_sitearch}/%{name}/tests/kcc/__pycache__/*.pyc
%{python3_sitearch}/%{name}/tests/krb5/*.py
%{python3_sitearch}/%{name}/tests/krb5/__pycache__/*.pyc
%{python3_sitearch}/%{name}/tests/samba_tool/*.py
%{python3_sitearch}/%{name}/tests/samba_tool/__pycache__/*.pyc


#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

#fix a test that always fails
echo							\
 "^samba4.rpc.echo.*on.*ncacn_np.*with.*object.*nt4_dc"	\
 >> selftest/knownfail


export PYTHON=/usr/bin/python
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=%{_var}				\
	--with-configdir=%{_sysconfdir}/%{name}		\
	--with-sockets-dir=%{_var}/run/%{name}		\
	--with-piddir=%{_var}/run			\
	--with-logdir=%{_var}/log/%{name}		\
	--with-lockdir=%{_var}/lock			\
	--with-cachedir=%{_var}/lib/%{name}		\
	--enable-fhs					\
	--with-ads					\
	--with-ldap					\
	--with-winbind					\
	--with-acl-support				\
	--without-ad-dc					\
	--without-systemd				\
	--without-pam					\
	--disable-rpath-install				\
	--with-cluster-support				\
	--with-profiling-data				\
	--with-shared-modules=%{shared}			\
	--bundled-libraries=%{bundled}			\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} 						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	
install -m 0644						\
	ctdb/config/ctdb.conf				\
	%{buildroot}%{_sysconfdir}/ctdb/ctdb.conf

#setting daemon file
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} -a						\
	%{name}-ok_addon/%{name}			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d

#setting configuration file
%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}
%{__cp} -a						\
	%{name}-ok_addon/smb.conf.example		\
	%{buildroot}%{_sysconfdir}/%{name}/smb.conf

#Installing the private directory
%{__mkdir_p} %{buildroot}%{_var}/lib/%{name}

#Installing log directories
%{__mkdir_p} %{buildroot}%{_var}/log/%{name}/old

#installaing logrotate
%{__mkdir_p} %{buildroot}%{_sysconfdir}/logrotate.d
%{__cp} -a						\
	%{name}-ok_addon/%{name}.logrotate		\
	%{buildroot}%{_sysconfdir}/logrotate.d/%{name}.lr

#-----------------------------------------------------------------------------
%changelog
